;
; File Name: cyfitteriar.inc
; 
; PSoC Creator  4.2
;
; Description:
; 
;
;-------------------------------------------------------------------------------
; Copyright (c) 2007-2018 Cypress Semiconductor.  All rights reserved.
; You may use this file only in accordance with the license, terms, conditions, 
; disclaimers, and limitations in the end user license agreement accompanying 
; the software package with which this file was provided.
;-------------------------------------------------------------------------------

#ifndef INCLUDED_CYFITTERIAR_INC
#define INCLUDED_CYFITTERIAR_INC
    INCLUDE cydeviceiar.inc
    INCLUDE cydeviceiar_trm.inc

/* LCD */
LCD_LCDPort__0__INTTYPE EQU CYREG_PICU2_INTTYPE0
LCD_LCDPort__0__MASK EQU 0x01
LCD_LCDPort__0__PC EQU CYREG_PRT2_PC0
LCD_LCDPort__0__PORT EQU 2
LCD_LCDPort__0__SHIFT EQU 0
LCD_LCDPort__1__INTTYPE EQU CYREG_PICU2_INTTYPE1
LCD_LCDPort__1__MASK EQU 0x02
LCD_LCDPort__1__PC EQU CYREG_PRT2_PC1
LCD_LCDPort__1__PORT EQU 2
LCD_LCDPort__1__SHIFT EQU 1
LCD_LCDPort__2__INTTYPE EQU CYREG_PICU2_INTTYPE2
LCD_LCDPort__2__MASK EQU 0x04
LCD_LCDPort__2__PC EQU CYREG_PRT2_PC2
LCD_LCDPort__2__PORT EQU 2
LCD_LCDPort__2__SHIFT EQU 2
LCD_LCDPort__3__INTTYPE EQU CYREG_PICU2_INTTYPE3
LCD_LCDPort__3__MASK EQU 0x08
LCD_LCDPort__3__PC EQU CYREG_PRT2_PC3
LCD_LCDPort__3__PORT EQU 2
LCD_LCDPort__3__SHIFT EQU 3
LCD_LCDPort__4__INTTYPE EQU CYREG_PICU2_INTTYPE4
LCD_LCDPort__4__MASK EQU 0x10
LCD_LCDPort__4__PC EQU CYREG_PRT2_PC4
LCD_LCDPort__4__PORT EQU 2
LCD_LCDPort__4__SHIFT EQU 4
LCD_LCDPort__5__INTTYPE EQU CYREG_PICU2_INTTYPE5
LCD_LCDPort__5__MASK EQU 0x20
LCD_LCDPort__5__PC EQU CYREG_PRT2_PC5
LCD_LCDPort__5__PORT EQU 2
LCD_LCDPort__5__SHIFT EQU 5
LCD_LCDPort__6__INTTYPE EQU CYREG_PICU2_INTTYPE6
LCD_LCDPort__6__MASK EQU 0x40
LCD_LCDPort__6__PC EQU CYREG_PRT2_PC6
LCD_LCDPort__6__PORT EQU 2
LCD_LCDPort__6__SHIFT EQU 6
LCD_LCDPort__AG EQU CYREG_PRT2_AG
LCD_LCDPort__AMUX EQU CYREG_PRT2_AMUX
LCD_LCDPort__BIE EQU CYREG_PRT2_BIE
LCD_LCDPort__BIT_MASK EQU CYREG_PRT2_BIT_MASK
LCD_LCDPort__BYP EQU CYREG_PRT2_BYP
LCD_LCDPort__CTL EQU CYREG_PRT2_CTL
LCD_LCDPort__DM0 EQU CYREG_PRT2_DM0
LCD_LCDPort__DM1 EQU CYREG_PRT2_DM1
LCD_LCDPort__DM2 EQU CYREG_PRT2_DM2
LCD_LCDPort__DR EQU CYREG_PRT2_DR
LCD_LCDPort__INP_DIS EQU CYREG_PRT2_INP_DIS
LCD_LCDPort__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU2_BASE
LCD_LCDPort__LCD_COM_SEG EQU CYREG_PRT2_LCD_COM_SEG
LCD_LCDPort__LCD_EN EQU CYREG_PRT2_LCD_EN
LCD_LCDPort__MASK EQU 0x7F
LCD_LCDPort__PORT EQU 2
LCD_LCDPort__PRT EQU CYREG_PRT2_PRT
LCD_LCDPort__PRTDSI__CAPS_SEL EQU CYREG_PRT2_CAPS_SEL
LCD_LCDPort__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT2_DBL_SYNC_IN
LCD_LCDPort__PRTDSI__OE_SEL0 EQU CYREG_PRT2_OE_SEL0
LCD_LCDPort__PRTDSI__OE_SEL1 EQU CYREG_PRT2_OE_SEL1
LCD_LCDPort__PRTDSI__OUT_SEL0 EQU CYREG_PRT2_OUT_SEL0
LCD_LCDPort__PRTDSI__OUT_SEL1 EQU CYREG_PRT2_OUT_SEL1
LCD_LCDPort__PRTDSI__SYNC_OUT EQU CYREG_PRT2_SYNC_OUT
LCD_LCDPort__PS EQU CYREG_PRT2_PS
LCD_LCDPort__SHIFT EQU 0
LCD_LCDPort__SLW EQU CYREG_PRT2_SLW

/* SPIS */
SPIS_BSPIS_BitCounter__16BIT_CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB05_06_ACTL
SPIS_BSPIS_BitCounter__16BIT_CONTROL_CONTROL_REG EQU CYREG_B0_UDB05_06_CTL
SPIS_BSPIS_BitCounter__16BIT_CONTROL_COUNT_REG EQU CYREG_B0_UDB05_06_CTL
SPIS_BSPIS_BitCounter__16BIT_COUNT_CONTROL_REG EQU CYREG_B0_UDB05_06_CTL
SPIS_BSPIS_BitCounter__16BIT_COUNT_COUNT_REG EQU CYREG_B0_UDB05_06_CTL
SPIS_BSPIS_BitCounter__16BIT_MASK_MASK_REG EQU CYREG_B0_UDB05_06_MSK
SPIS_BSPIS_BitCounter__16BIT_MASK_PERIOD_REG EQU CYREG_B0_UDB05_06_MSK
SPIS_BSPIS_BitCounter__16BIT_PERIOD_MASK_REG EQU CYREG_B0_UDB05_06_MSK
SPIS_BSPIS_BitCounter__16BIT_PERIOD_PERIOD_REG EQU CYREG_B0_UDB05_06_MSK
SPIS_BSPIS_BitCounter__CONTROL_AUX_CTL_REG EQU CYREG_B0_UDB05_ACTL
SPIS_BSPIS_BitCounter__CONTROL_REG EQU CYREG_B0_UDB05_CTL
SPIS_BSPIS_BitCounter__CONTROL_ST_REG EQU CYREG_B0_UDB05_ST_CTL
SPIS_BSPIS_BitCounter__COUNT_REG EQU CYREG_B0_UDB05_CTL
SPIS_BSPIS_BitCounter__COUNT_ST_REG EQU CYREG_B0_UDB05_ST_CTL
SPIS_BSPIS_BitCounter__MASK_CTL_AUX_CTL_REG EQU CYREG_B0_UDB05_MSK_ACTL
SPIS_BSPIS_BitCounter__PER_CTL_AUX_CTL_REG EQU CYREG_B0_UDB05_MSK_ACTL
SPIS_BSPIS_BitCounter__PERIOD_REG EQU CYREG_B0_UDB05_MSK
SPIS_BSPIS_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB05_06_ACTL
SPIS_BSPIS_BitCounter_ST__16BIT_STATUS_REG EQU CYREG_B0_UDB05_06_ST
SPIS_BSPIS_BitCounter_ST__MASK_REG EQU CYREG_B0_UDB05_MSK
SPIS_BSPIS_BitCounter_ST__MASK_ST_AUX_CTL_REG EQU CYREG_B0_UDB05_MSK_ACTL
SPIS_BSPIS_BitCounter_ST__PER_ST_AUX_CTL_REG EQU CYREG_B0_UDB05_MSK_ACTL
SPIS_BSPIS_BitCounter_ST__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB05_ACTL
SPIS_BSPIS_BitCounter_ST__STATUS_CNT_REG EQU CYREG_B0_UDB05_ST_CTL
SPIS_BSPIS_BitCounter_ST__STATUS_CONTROL_REG EQU CYREG_B0_UDB05_ST_CTL
SPIS_BSPIS_BitCounter_ST__STATUS_REG EQU CYREG_B0_UDB05_ST
SPIS_BSPIS_RxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB03_04_ACTL
SPIS_BSPIS_RxStsReg__16BIT_STATUS_REG EQU CYREG_B0_UDB03_04_ST
SPIS_BSPIS_RxStsReg__3__MASK EQU 0x08
SPIS_BSPIS_RxStsReg__3__POS EQU 3
SPIS_BSPIS_RxStsReg__4__MASK EQU 0x10
SPIS_BSPIS_RxStsReg__4__POS EQU 4
SPIS_BSPIS_RxStsReg__5__MASK EQU 0x20
SPIS_BSPIS_RxStsReg__5__POS EQU 5
SPIS_BSPIS_RxStsReg__6__MASK EQU 0x40
SPIS_BSPIS_RxStsReg__6__POS EQU 6
SPIS_BSPIS_RxStsReg__MASK EQU 0x78
SPIS_BSPIS_RxStsReg__MASK_REG EQU CYREG_B0_UDB03_MSK
SPIS_BSPIS_RxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB03_ACTL
SPIS_BSPIS_RxStsReg__STATUS_REG EQU CYREG_B0_UDB03_ST
SPIS_BSPIS_sR8_Dp_u0__16BIT_A0_REG EQU CYREG_B0_UDB02_03_A0
SPIS_BSPIS_sR8_Dp_u0__16BIT_A1_REG EQU CYREG_B0_UDB02_03_A1
SPIS_BSPIS_sR8_Dp_u0__16BIT_D0_REG EQU CYREG_B0_UDB02_03_D0
SPIS_BSPIS_sR8_Dp_u0__16BIT_D1_REG EQU CYREG_B0_UDB02_03_D1
SPIS_BSPIS_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG EQU CYREG_B0_UDB02_03_ACTL
SPIS_BSPIS_sR8_Dp_u0__16BIT_F0_REG EQU CYREG_B0_UDB02_03_F0
SPIS_BSPIS_sR8_Dp_u0__16BIT_F1_REG EQU CYREG_B0_UDB02_03_F1
SPIS_BSPIS_sR8_Dp_u0__A0_A1_REG EQU CYREG_B0_UDB02_A0_A1
SPIS_BSPIS_sR8_Dp_u0__A0_REG EQU CYREG_B0_UDB02_A0
SPIS_BSPIS_sR8_Dp_u0__A1_REG EQU CYREG_B0_UDB02_A1
SPIS_BSPIS_sR8_Dp_u0__D0_D1_REG EQU CYREG_B0_UDB02_D0_D1
SPIS_BSPIS_sR8_Dp_u0__D0_REG EQU CYREG_B0_UDB02_D0
SPIS_BSPIS_sR8_Dp_u0__D1_REG EQU CYREG_B0_UDB02_D1
SPIS_BSPIS_sR8_Dp_u0__DP_AUX_CTL_REG EQU CYREG_B0_UDB02_ACTL
SPIS_BSPIS_sR8_Dp_u0__F0_F1_REG EQU CYREG_B0_UDB02_F0_F1
SPIS_BSPIS_sR8_Dp_u0__F0_REG EQU CYREG_B0_UDB02_F0
SPIS_BSPIS_sR8_Dp_u0__F1_REG EQU CYREG_B0_UDB02_F1
SPIS_BSPIS_TxStsReg__0__MASK EQU 0x01
SPIS_BSPIS_TxStsReg__0__POS EQU 0
SPIS_BSPIS_TxStsReg__1__MASK EQU 0x02
SPIS_BSPIS_TxStsReg__1__POS EQU 1
SPIS_BSPIS_TxStsReg__16BIT_STATUS_AUX_CTL_REG EQU CYREG_B0_UDB04_05_ACTL
SPIS_BSPIS_TxStsReg__16BIT_STATUS_REG EQU CYREG_B0_UDB04_05_ST
SPIS_BSPIS_TxStsReg__2__MASK EQU 0x04
SPIS_BSPIS_TxStsReg__2__POS EQU 2
SPIS_BSPIS_TxStsReg__6__MASK EQU 0x40
SPIS_BSPIS_TxStsReg__6__POS EQU 6
SPIS_BSPIS_TxStsReg__MASK EQU 0x47
SPIS_BSPIS_TxStsReg__MASK_REG EQU CYREG_B0_UDB04_MSK
SPIS_BSPIS_TxStsReg__STATUS_AUX_CTL_REG EQU CYREG_B0_UDB04_ACTL
SPIS_BSPIS_TxStsReg__STATUS_REG EQU CYREG_B0_UDB04_ST
SPIS_RxInternalInterrupt__INTC_CLR_EN_REG EQU CYREG_NVIC_CLRENA0
SPIS_RxInternalInterrupt__INTC_CLR_PD_REG EQU CYREG_NVIC_CLRPEND0
SPIS_RxInternalInterrupt__INTC_MASK EQU 0x01
SPIS_RxInternalInterrupt__INTC_NUMBER EQU 0
SPIS_RxInternalInterrupt__INTC_PRIOR_NUM EQU 7
SPIS_RxInternalInterrupt__INTC_PRIOR_REG EQU CYREG_NVIC_PRI_0
SPIS_RxInternalInterrupt__INTC_SET_EN_REG EQU CYREG_NVIC_SETENA0
SPIS_RxInternalInterrupt__INTC_SET_PD_REG EQU CYREG_NVIC_SETPEND0
SPIS_TxInternalInterrupt__INTC_CLR_EN_REG EQU CYREG_NVIC_CLRENA0
SPIS_TxInternalInterrupt__INTC_CLR_PD_REG EQU CYREG_NVIC_CLRPEND0
SPIS_TxInternalInterrupt__INTC_MASK EQU 0x02
SPIS_TxInternalInterrupt__INTC_NUMBER EQU 1
SPIS_TxInternalInterrupt__INTC_PRIOR_NUM EQU 7
SPIS_TxInternalInterrupt__INTC_PRIOR_REG EQU CYREG_NVIC_PRI_1
SPIS_TxInternalInterrupt__INTC_SET_EN_REG EQU CYREG_NVIC_SETENA0
SPIS_TxInternalInterrupt__INTC_SET_PD_REG EQU CYREG_NVIC_SETPEND0

/* Clock */
Clock__CFG0 EQU CYREG_CLKDIST_DCFG0_CFG0
Clock__CFG1 EQU CYREG_CLKDIST_DCFG0_CFG1
Clock__CFG2 EQU CYREG_CLKDIST_DCFG0_CFG2
Clock__CFG2_SRC_SEL_MASK EQU 0x07
Clock__INDEX EQU 0x00
Clock__PM_ACT_CFG EQU CYREG_PM_ACT_CFG2
Clock__PM_ACT_MSK EQU 0x01
Clock__PM_STBY_CFG EQU CYREG_PM_STBY_CFG2
Clock__PM_STBY_MSK EQU 0x01

/* s_ss_pin */
s_ss_pin__0__INTTYPE EQU CYREG_PICU0_INTTYPE6
s_ss_pin__0__MASK EQU 0x40
s_ss_pin__0__PC EQU CYREG_PRT0_PC6
s_ss_pin__0__PORT EQU 0
s_ss_pin__0__SHIFT EQU 6
s_ss_pin__AG EQU CYREG_PRT0_AG
s_ss_pin__AMUX EQU CYREG_PRT0_AMUX
s_ss_pin__BIE EQU CYREG_PRT0_BIE
s_ss_pin__BIT_MASK EQU CYREG_PRT0_BIT_MASK
s_ss_pin__BYP EQU CYREG_PRT0_BYP
s_ss_pin__CTL EQU CYREG_PRT0_CTL
s_ss_pin__DM0 EQU CYREG_PRT0_DM0
s_ss_pin__DM1 EQU CYREG_PRT0_DM1
s_ss_pin__DM2 EQU CYREG_PRT0_DM2
s_ss_pin__DR EQU CYREG_PRT0_DR
s_ss_pin__INP_DIS EQU CYREG_PRT0_INP_DIS
s_ss_pin__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU0_BASE
s_ss_pin__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
s_ss_pin__LCD_EN EQU CYREG_PRT0_LCD_EN
s_ss_pin__MASK EQU 0x40
s_ss_pin__PORT EQU 0
s_ss_pin__PRT EQU CYREG_PRT0_PRT
s_ss_pin__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
s_ss_pin__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
s_ss_pin__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
s_ss_pin__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
s_ss_pin__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
s_ss_pin__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
s_ss_pin__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
s_ss_pin__PS EQU CYREG_PRT0_PS
s_ss_pin__SHIFT EQU 6
s_ss_pin__SLW EQU CYREG_PRT0_SLW

/* s_miso_pin */
s_miso_pin__0__INTTYPE EQU CYREG_PICU0_INTTYPE2
s_miso_pin__0__MASK EQU 0x04
s_miso_pin__0__PC EQU CYREG_PRT0_PC2
s_miso_pin__0__PORT EQU 0
s_miso_pin__0__SHIFT EQU 2
s_miso_pin__AG EQU CYREG_PRT0_AG
s_miso_pin__AMUX EQU CYREG_PRT0_AMUX
s_miso_pin__BIE EQU CYREG_PRT0_BIE
s_miso_pin__BIT_MASK EQU CYREG_PRT0_BIT_MASK
s_miso_pin__BYP EQU CYREG_PRT0_BYP
s_miso_pin__CTL EQU CYREG_PRT0_CTL
s_miso_pin__DM0 EQU CYREG_PRT0_DM0
s_miso_pin__DM1 EQU CYREG_PRT0_DM1
s_miso_pin__DM2 EQU CYREG_PRT0_DM2
s_miso_pin__DR EQU CYREG_PRT0_DR
s_miso_pin__INP_DIS EQU CYREG_PRT0_INP_DIS
s_miso_pin__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU0_BASE
s_miso_pin__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
s_miso_pin__LCD_EN EQU CYREG_PRT0_LCD_EN
s_miso_pin__MASK EQU 0x04
s_miso_pin__PORT EQU 0
s_miso_pin__PRT EQU CYREG_PRT0_PRT
s_miso_pin__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
s_miso_pin__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
s_miso_pin__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
s_miso_pin__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
s_miso_pin__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
s_miso_pin__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
s_miso_pin__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
s_miso_pin__PS EQU CYREG_PRT0_PS
s_miso_pin__SHIFT EQU 2
s_miso_pin__SLW EQU CYREG_PRT0_SLW

/* s_mosi_pin */
s_mosi_pin__0__INTTYPE EQU CYREG_PICU0_INTTYPE0
s_mosi_pin__0__MASK EQU 0x01
s_mosi_pin__0__PC EQU CYREG_PRT0_PC0
s_mosi_pin__0__PORT EQU 0
s_mosi_pin__0__SHIFT EQU 0
s_mosi_pin__AG EQU CYREG_PRT0_AG
s_mosi_pin__AMUX EQU CYREG_PRT0_AMUX
s_mosi_pin__BIE EQU CYREG_PRT0_BIE
s_mosi_pin__BIT_MASK EQU CYREG_PRT0_BIT_MASK
s_mosi_pin__BYP EQU CYREG_PRT0_BYP
s_mosi_pin__CTL EQU CYREG_PRT0_CTL
s_mosi_pin__DM0 EQU CYREG_PRT0_DM0
s_mosi_pin__DM1 EQU CYREG_PRT0_DM1
s_mosi_pin__DM2 EQU CYREG_PRT0_DM2
s_mosi_pin__DR EQU CYREG_PRT0_DR
s_mosi_pin__INP_DIS EQU CYREG_PRT0_INP_DIS
s_mosi_pin__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU0_BASE
s_mosi_pin__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
s_mosi_pin__LCD_EN EQU CYREG_PRT0_LCD_EN
s_mosi_pin__MASK EQU 0x01
s_mosi_pin__PORT EQU 0
s_mosi_pin__PRT EQU CYREG_PRT0_PRT
s_mosi_pin__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
s_mosi_pin__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
s_mosi_pin__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
s_mosi_pin__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
s_mosi_pin__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
s_mosi_pin__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
s_mosi_pin__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
s_mosi_pin__PS EQU CYREG_PRT0_PS
s_mosi_pin__SHIFT EQU 0
s_mosi_pin__SLW EQU CYREG_PRT0_SLW

/* s_sclk_pin */
s_sclk_pin__0__INTTYPE EQU CYREG_PICU0_INTTYPE4
s_sclk_pin__0__MASK EQU 0x10
s_sclk_pin__0__PC EQU CYREG_PRT0_PC4
s_sclk_pin__0__PORT EQU 0
s_sclk_pin__0__SHIFT EQU 4
s_sclk_pin__AG EQU CYREG_PRT0_AG
s_sclk_pin__AMUX EQU CYREG_PRT0_AMUX
s_sclk_pin__BIE EQU CYREG_PRT0_BIE
s_sclk_pin__BIT_MASK EQU CYREG_PRT0_BIT_MASK
s_sclk_pin__BYP EQU CYREG_PRT0_BYP
s_sclk_pin__CTL EQU CYREG_PRT0_CTL
s_sclk_pin__DM0 EQU CYREG_PRT0_DM0
s_sclk_pin__DM1 EQU CYREG_PRT0_DM1
s_sclk_pin__DM2 EQU CYREG_PRT0_DM2
s_sclk_pin__DR EQU CYREG_PRT0_DR
s_sclk_pin__INP_DIS EQU CYREG_PRT0_INP_DIS
s_sclk_pin__INTTYPE_BASE EQU CYDEV_PICU_INTTYPE_PICU0_BASE
s_sclk_pin__LCD_COM_SEG EQU CYREG_PRT0_LCD_COM_SEG
s_sclk_pin__LCD_EN EQU CYREG_PRT0_LCD_EN
s_sclk_pin__MASK EQU 0x10
s_sclk_pin__PORT EQU 0
s_sclk_pin__PRT EQU CYREG_PRT0_PRT
s_sclk_pin__PRTDSI__CAPS_SEL EQU CYREG_PRT0_CAPS_SEL
s_sclk_pin__PRTDSI__DBL_SYNC_IN EQU CYREG_PRT0_DBL_SYNC_IN
s_sclk_pin__PRTDSI__OE_SEL0 EQU CYREG_PRT0_OE_SEL0
s_sclk_pin__PRTDSI__OE_SEL1 EQU CYREG_PRT0_OE_SEL1
s_sclk_pin__PRTDSI__OUT_SEL0 EQU CYREG_PRT0_OUT_SEL0
s_sclk_pin__PRTDSI__OUT_SEL1 EQU CYREG_PRT0_OUT_SEL1
s_sclk_pin__PRTDSI__SYNC_OUT EQU CYREG_PRT0_SYNC_OUT
s_sclk_pin__PS EQU CYREG_PRT0_PS
s_sclk_pin__SHIFT EQU 4
s_sclk_pin__SLW EQU CYREG_PRT0_SLW

/* Miscellaneous */
BCLK__BUS_CLK__HZ EQU 24000000
BCLK__BUS_CLK__KHZ EQU 24000
BCLK__BUS_CLK__MHZ EQU 24
CYDEV_CHIP_DIE_LEOPARD EQU 1
CYDEV_CHIP_DIE_PSOC4A EQU 21
CYDEV_CHIP_DIE_PSOC5LP EQU 2
CYDEV_CHIP_DIE_PSOC5TM EQU 3
CYDEV_CHIP_DIE_TMA4 EQU 4
CYDEV_CHIP_DIE_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_FM0P EQU 5
CYDEV_CHIP_FAMILY_FM3 EQU 6
CYDEV_CHIP_FAMILY_FM4 EQU 7
CYDEV_CHIP_FAMILY_PSOC3 EQU 1
CYDEV_CHIP_FAMILY_PSOC4 EQU 2
CYDEV_CHIP_FAMILY_PSOC5 EQU 3
CYDEV_CHIP_FAMILY_PSOC6 EQU 4
CYDEV_CHIP_FAMILY_UNKNOWN EQU 0
CYDEV_CHIP_FAMILY_USED EQU CYDEV_CHIP_FAMILY_PSOC5
CYDEV_CHIP_JTAG_ID EQU 0x2E123069
CYDEV_CHIP_MEMBER_3A EQU 1
CYDEV_CHIP_MEMBER_4A EQU 21
CYDEV_CHIP_MEMBER_4D EQU 16
CYDEV_CHIP_MEMBER_4E EQU 6
CYDEV_CHIP_MEMBER_4F EQU 22
CYDEV_CHIP_MEMBER_4G EQU 4
CYDEV_CHIP_MEMBER_4H EQU 20
CYDEV_CHIP_MEMBER_4I EQU 26
CYDEV_CHIP_MEMBER_4J EQU 17
CYDEV_CHIP_MEMBER_4K EQU 18
CYDEV_CHIP_MEMBER_4L EQU 25
CYDEV_CHIP_MEMBER_4M EQU 24
CYDEV_CHIP_MEMBER_4N EQU 11
CYDEV_CHIP_MEMBER_4O EQU 8
CYDEV_CHIP_MEMBER_4P EQU 23
CYDEV_CHIP_MEMBER_4Q EQU 14
CYDEV_CHIP_MEMBER_4R EQU 9
CYDEV_CHIP_MEMBER_4S EQU 12
CYDEV_CHIP_MEMBER_4T EQU 10
CYDEV_CHIP_MEMBER_4U EQU 5
CYDEV_CHIP_MEMBER_4V EQU 19
CYDEV_CHIP_MEMBER_4W EQU 13
CYDEV_CHIP_MEMBER_4X EQU 7
CYDEV_CHIP_MEMBER_4Y EQU 15
CYDEV_CHIP_MEMBER_5A EQU 3
CYDEV_CHIP_MEMBER_5B EQU 2
CYDEV_CHIP_MEMBER_6A EQU 27
CYDEV_CHIP_MEMBER_FM3 EQU 31
CYDEV_CHIP_MEMBER_FM4 EQU 32
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE1 EQU 28
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE2 EQU 29
CYDEV_CHIP_MEMBER_PDL_FM0P_TYPE3 EQU 30
CYDEV_CHIP_MEMBER_UNKNOWN EQU 0
CYDEV_CHIP_MEMBER_USED EQU CYDEV_CHIP_MEMBER_5B
CYDEV_CHIP_DIE_EXPECT EQU CYDEV_CHIP_MEMBER_USED
CYDEV_CHIP_DIE_ACTUAL EQU CYDEV_CHIP_DIE_EXPECT
CYDEV_CHIP_REV_LEOPARD_ES1 EQU 0
CYDEV_CHIP_REV_LEOPARD_ES2 EQU 1
CYDEV_CHIP_REV_LEOPARD_ES3 EQU 3
CYDEV_CHIP_REV_LEOPARD_PRODUCTION EQU 3
CYDEV_CHIP_REV_PSOC4A_ES0 EQU 17
CYDEV_CHIP_REV_PSOC4A_PRODUCTION EQU 17
CYDEV_CHIP_REV_PSOC5LP_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5LP_PRODUCTION EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES0 EQU 0
CYDEV_CHIP_REV_PSOC5TM_ES1 EQU 1
CYDEV_CHIP_REV_PSOC5TM_PRODUCTION EQU 1
CYDEV_CHIP_REV_TMA4_ES EQU 17
CYDEV_CHIP_REV_TMA4_ES2 EQU 33
CYDEV_CHIP_REV_TMA4_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_3A_ES1 EQU 0
CYDEV_CHIP_REVISION_3A_ES2 EQU 1
CYDEV_CHIP_REVISION_3A_ES3 EQU 3
CYDEV_CHIP_REVISION_3A_PRODUCTION EQU 3
CYDEV_CHIP_REVISION_4A_ES0 EQU 17
CYDEV_CHIP_REVISION_4A_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4D_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4E_CCG2_NO_USBPD EQU 0
CYDEV_CHIP_REVISION_4E_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA EQU 0
CYDEV_CHIP_REVISION_4F_PRODUCTION_256K EQU 0
CYDEV_CHIP_REVISION_4G_ES EQU 17
CYDEV_CHIP_REVISION_4G_ES2 EQU 33
CYDEV_CHIP_REVISION_4G_PRODUCTION EQU 17
CYDEV_CHIP_REVISION_4H_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4I_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4J_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4K_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4L_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4M_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4N_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4O_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4P_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Q_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4R_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4S_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4T_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4U_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4V_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4W_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4X_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_4Y_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_5A_ES0 EQU 0
CYDEV_CHIP_REVISION_5A_ES1 EQU 1
CYDEV_CHIP_REVISION_5A_PRODUCTION EQU 1
CYDEV_CHIP_REVISION_5B_ES0 EQU 0
CYDEV_CHIP_REVISION_5B_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_6A_ES EQU 17
CYDEV_CHIP_REVISION_6A_NO_UDB EQU 33
CYDEV_CHIP_REVISION_6A_PRODUCTION EQU 33
CYDEV_CHIP_REVISION_FM3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_FM4_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE1_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE2_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_PDL_FM0P_TYPE3_PRODUCTION EQU 0
CYDEV_CHIP_REVISION_USED EQU CYDEV_CHIP_REVISION_5B_PRODUCTION
CYDEV_CHIP_REV_EXPECT EQU CYDEV_CHIP_REVISION_USED
CYDEV_CONFIG_FASTBOOT_ENABLED EQU 1
CYDEV_CONFIG_UNUSED_IO_AllowButWarn EQU 0
CYDEV_CONFIG_UNUSED_IO EQU CYDEV_CONFIG_UNUSED_IO_AllowButWarn
CYDEV_CONFIG_UNUSED_IO_AllowWithInfo EQU 1
CYDEV_CONFIG_UNUSED_IO_Disallowed EQU 2
CYDEV_CONFIGURATION_COMPRESSED EQU 0
CYDEV_CONFIGURATION_DMA EQU 1
CYDEV_CONFIGURATION_ECC EQU 1
CYDEV_CONFIGURATION_IMOENABLED EQU CYDEV_CONFIG_FASTBOOT_ENABLED
CYDEV_CONFIGURATION_MODE_COMPRESSED EQU 0
CYDEV_CONFIGURATION_MODE_DMA EQU 2
CYDEV_CONFIGURATION_MODE EQU CYDEV_CONFIGURATION_MODE_DMA
CYDEV_CONFIGURATION_MODE_UNCOMPRESSED EQU 1
CYDEV_DEBUG_ENABLE_MASK EQU 0x20
CYDEV_DEBUG_ENABLE_REGISTER EQU CYREG_MLOGIC_DEBUG
CYDEV_DEBUGGING_DPS_Disable EQU 3
CYDEV_DEBUGGING_DPS_JTAG_4 EQU 1
CYDEV_DEBUGGING_DPS_JTAG_5 EQU 0
CYDEV_DEBUGGING_DPS_SWD EQU 2
CYDEV_DEBUGGING_DPS_SWD_SWV EQU 6
CYDEV_DEBUGGING_DPS EQU CYDEV_DEBUGGING_DPS_SWD_SWV
CYDEV_DEBUGGING_ENABLE EQU 1
CYDEV_DEBUGGING_XRES EQU 0
CYDEV_DMA_CHANNELS_AVAILABLE EQU 24
CYDEV_ECC_ENABLE EQU 0
CYDEV_HEAP_SIZE EQU 0x80
CYDEV_INSTRUCT_CACHE_ENABLED EQU 0
CYDEV_INTR_RISING EQU 0x00000003
CYDEV_IS_EXPORTING_CODE EQU 0
CYDEV_IS_IMPORTING_CODE EQU 0
CYDEV_PROJ_TYPE EQU 0
CYDEV_PROJ_TYPE_BOOTLOADER EQU 1
CYDEV_PROJ_TYPE_LAUNCHER EQU 5
CYDEV_PROJ_TYPE_LOADABLE EQU 2
CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER EQU 4
CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER EQU 3
CYDEV_PROJ_TYPE_STANDARD EQU 0
CYDEV_PROTECTION_ENABLE EQU 0
CYDEV_STACK_SIZE EQU 0x0800
CYDEV_USE_BUNDLED_CMSIS EQU 1
CYDEV_VARIABLE_VDDA EQU 0
CYDEV_VDDA_MV EQU 5000
CYDEV_VDDD_MV EQU 5000
CYDEV_VDDIO0_MV EQU 5000
CYDEV_VDDIO1_MV EQU 5000
CYDEV_VDDIO2_MV EQU 5000
CYDEV_VDDIO3_MV EQU 5000
CYDEV_VIO0_MV EQU 5000
CYDEV_VIO1_MV EQU 5000
CYDEV_VIO2_MV EQU 5000
CYDEV_VIO3_MV EQU 5000
CYIPBLOCK_ARM_CM3_VERSION EQU 0
CYIPBLOCK_P3_ANAIF_VERSION EQU 0
CYIPBLOCK_P3_CAN_VERSION EQU 0
CYIPBLOCK_P3_CAPSENSE_VERSION EQU 0
CYIPBLOCK_P3_COMP_VERSION EQU 0
CYIPBLOCK_P3_DECIMATOR_VERSION EQU 0
CYIPBLOCK_P3_DFB_VERSION EQU 0
CYIPBLOCK_P3_DMA_VERSION EQU 0
CYIPBLOCK_P3_DRQ_VERSION EQU 0
CYIPBLOCK_P3_DSM_VERSION EQU 0
CYIPBLOCK_P3_EMIF_VERSION EQU 0
CYIPBLOCK_P3_I2C_VERSION EQU 0
CYIPBLOCK_P3_LCD_VERSION EQU 0
CYIPBLOCK_P3_LPF_VERSION EQU 0
CYIPBLOCK_P3_OPAMP_VERSION EQU 0
CYIPBLOCK_P3_PM_VERSION EQU 0
CYIPBLOCK_P3_SCCT_VERSION EQU 0
CYIPBLOCK_P3_TIMER_VERSION EQU 0
CYIPBLOCK_P3_USB_VERSION EQU 0
CYIPBLOCK_P3_VIDAC_VERSION EQU 0
CYIPBLOCK_P3_VREF_VERSION EQU 0
CYIPBLOCK_S8_GPIO_VERSION EQU 0
CYIPBLOCK_S8_IRQ_VERSION EQU 0
CYIPBLOCK_S8_SAR_VERSION EQU 0
CYIPBLOCK_S8_SIO_VERSION EQU 0
CYIPBLOCK_S8_UDB_VERSION EQU 0
DMA_CHANNELS_USED__MASK0 EQU 0x00000000
CYDEV_BOOTLOADER_ENABLE EQU 0

#endif /* INCLUDED_CYFITTERIAR_INC */
